<template>
    <div>
        <div v-if="value.type == 'option'">
            <div class="row">
                <div class="col-md-12 option-buttons">
                    <div class="form-group">
                        <label
                            v-for="(list, indexList) in value.lists"
                            :key="indexList"
                            class="btn btn-primary btn-next"
                        >
                            <input
                                type="radio"
                                :name="value.name"
                                :value="list.value"
                                @click="onSubmit(value, list.value)"
                            />
                            {{ list.label }}
                        </label>
                    </div>
                </div>
            </div>
        </div>
        <div v-else-if="value.type == 'text'">
            <div class="row">
                <div class="col-md-12">
                    <label class="form-label" :for="value.name">
                        {{ value.label }}
                    </label>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <div :class="['form-group', { invalid: value.invalid }]">
                        <input
                            :class="['form-control', value.classes]"
                            :placeholder="value.placeholder"
                            :pattern="value.pattern"
                            :required="!!value.required"
                            type="text"
                            :name="value.name"
                            :id="value.name"
                            v-model.trim="value.value"
                        />
                        <div v-show="value.invalid" class="field-error">
                            Please review
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div v-else-if="value.type == 'radio'">
            <div class="row">
                <div class="col-md-12">
                    <label class="form-label" :for="value.name">
                        {{ value.label }}
                    </label>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div :class="['form-group', { invalid: value.invalid }]">
                        <div
                            class="btn-group btn-group-toggle"
                            data-toggle="buttons"
                        >
                            <label
                                v-for="(list, indexList) in value.lists"
                                :key="indexList"
                                :class="[
                                    'btn btn-primary',
                                    { active: value.value == list.value }
                                ]"
                            >
                                <input
                                    type="radio"
                                    :name="value.name"
                                    :id="value.name"
                                    :value="list.value"
                                    v-model="value.value"
                                />
                                {{ list.label }}
                            </label>
                        </div>
                        <div v-show="value.invalid" class="field-error">
                            Please review
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div v-else-if="value.type == 'checkbox'">
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label>
                            <input
                                type="checkbox"
                                :name="value.name"
                                :id="value.name"
                                v-model="value.value"
                            />
                            {{ value.label }}
                        </label>
                    </div>
                </div>
            </div>
        </div>
        <div v-else-if="value.type == 'accept'">
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <span v-html="value.text" class="accept-terms"> </span>
                    </div>
                </div>
            </div>
        </div>
        <div v-else-if="value.type == 'thank-you'">
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <span v-html="value.text"> </span>
                    </div>
                </div>
            </div>
        </div>
        <div v-else-if="value.type == 'continue'">
            <div class="row">
                <div class="col-md-12">
                    <button
                        @click="$emit('submit')"
                        class="btn btn-primary btn-block btn-next save"
                    >
                        {{ value.label || "Continue" }}
                    </button>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
export default {
    props: ["value"],
    methods: {
        onSubmit(input, value) {
            input.value = value;
            this.$emit("submit");
        }
    }
};
</script>
<style scoped></style>
